Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.property
Class PropertyManagerServiceImpl

    java.lang.Object
      org.jasig.portal.container.services.property.PropertyManagerServiceImpl

All Implemented Interfaces:
  org.apache.pluto.services.ContainerService, org.apache.pluto.services.property.PropertyManagerService

    public class PropertyManagerServiceImpl

extends java.lang.Object
implements org.apache.pluto.services.property.PropertyManagerService

The `PropertyManagerServiceImpl` is used to pass properties to the portlet so it can read them via it's `PortletRequest.getProperty(java.lang.String)` methods and so properties set by the portlet via it's `PortletResponse.setProperty(java.lang.String, java.lang.String)` methods can be read by uPortal. Currently all properties set by the portlet are saved into a `WeakHashMap` using the `PortletWindow` as the key. This should ensure that the old properties aren't stored beyond the life of the user's session.

Version:
  $Revision: 1.4.4.3 $
Author:
  Eric Dalquist edalquist@unicon.net

Field Summary
`protected org.apache.commons.logging.Log` | `log`
`private java.util.Map` | `propertyMapping`

Constructor Summary
`PropertyManagerServiceImpl()`

Method Summary
`java.util.Map` | `getRequestProperties(org.apache.pluto.om.window.PortletWindow window, javax.servlet.http.HttpServletRequest request)` Gets the properties that have been set by the portlet.
`void` | `setResponseProperties(org.apache.pluto.om.window.PortletWindow window, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map properties)` Stores the properties in a `WeakHashMap` that is keyed off the `PortletWindow` so the properties are removed when the user's session with the portlet is done.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyMapping

    private final java.util.Map propertyMapping

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### PropertyManagerServiceImpl

    public PropertyManagerServiceImpl()

Method Detail

### setResponseProperties

    public void setResponseProperties(org.apache.pluto.om.window.PortletWindow window,
                                      javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response,
                                      java.util.Map properties)

  Stores the properties in a `WeakHashMap` that is keyed off the `PortletWindow` so the properties are removed when the user's session with the portlet is done.

  Specified by:
    `setResponseProperties` in interface `org.apache.pluto.services.property.PropertyManagerService`
  See Also:
    `PropertyManagerService.setResponseProperties(org.apache.pluto.om.window.PortletWindow, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.util.Map)`

### getRequestProperties

    public java.util.Map getRequestProperties(org.apache.pluto.om.window.PortletWindow window,
                                              javax.servlet.http.HttpServletRequest request)

  Gets the properties that have been set by the portlet. This will pass any properties that the portlet has set in the response back into the portlet's request. This code also provides a uPortal extension that provides the current cache expiration time for the portlet via the `RenderResponse.EXPIRATION_CACHE` constant.

  Specified by:
    `getRequestProperties` in interface `org.apache.pluto.services.property.PropertyManagerService`
  See Also:
    `PropertyManagerService.getRequestProperties(org.apache.pluto.om.window.PortletWindow, javax.servlet.http.HttpServletRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD